Bug 490989 - Review Request: subdownloader - A program for download/upload subtitles for videofiles and DVDs
Review Request: subdownloader - A program for download/upload subtitles for v...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 15:45 EDT by Jan Klepek
Modified: 2009-04-13 15:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.9.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Klepek 2009-03-18 15:45:04 EDT
Spec URL: http://wwwnick.net/~wwwnick/subdownloader.spec
SRPM URL: http://wwwnick.net/~wwwnick/subdownloader-2.0.9.3-1.fc10.src.rpm
Description: A program for automatic download/upload subtitles for videofiles 
(DIVX,MPEG,AVI,VOB,etc) and DVD's using fast hashing.

This is my first package and I'm looking for a sponsor
Comment 1 Lubomir Rintel 2009-03-18 15:50:05 EDT
Taking this for review. Please provide some examples of the reviews you've done, so I can sponsor you.

(See: http://fedoraproject.org/wiki/PackageMaintainers/Join)
Comment 2 Jan Klepek 2009-04-08 08:19:47 EDT
Hi Lubomir, 
my other package https://bugzilla.redhat.com/show_bug.cgi?id=494857
Comment 3 Lubomir Rintel 2009-04-09 02:06:53 EDT
1.) I believe this is not valid English (applies to %description as well)

Summary:        A program for download/upload subtitles for videofiles and DVDs

Might better be "Program to download movie subtitles" (keep it short and concise).

2.) No useless comments

#cp -p subdownloader.xpm %{buildroot}%{_datadir}/pixmaps

3.) Do not use dist tag in changelogs

You may want to build the package for multiple branches.

None of the serious enough to block approval. Please address them upon import.

- SPEC is mostly clean and legible
- Noarch package, no compiler flags to use
- Filelist sane
- Requires/Provides sane
- Rpmlist mostly quiet (complains only about 3.)
- Written (apart from 1. in valid American English)
- License specified correctly (complete license not included by upstream)

APPROVED
Comment 4 Jan Klepek 2009-04-09 07:53:25 EDT
1,2,3] fixed
rpmlint is quiet now.
Comment 5 Jan Klepek 2009-04-09 10:08:39 EDT
New Package CVS Request
=======================
Package Name: subdownloader
Short Description: Program to download movie subtitles
Owners: hpejakle
Branches: F-9 F-10 F-11
InitialCC: hpejakle
Comment 6 Kevin Fenzi 2009-04-09 17:25:27 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-11 06:25:21 EDT
subdownloader-2.0.9.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/subdownloader-2.0.9.3-1.fc10
Comment 8 Fedora Update System 2009-04-13 15:38:23 EDT
subdownloader-2.0.9.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.